package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdConnectionsDTO implements Serializable {

    private static final long serialVersionUID = 623759819025398L;

    private Integer id;

    private String type;

    private String host;

    private Integer port;

    private String username;

    private String password;

    private String dburl;

    private String name;

    private String nativeSql;

    private String status;

    private Integer numCatalogs;

    private Integer numColumns;

    private Integer numConstraints;

    private Integer numGroups;

    private Integer numRoles;

    private Integer numIndexes;

    private Integer numOtherObjects;

    private Integer numPackages;

    private Integer numPrivileges;

    private Integer numSchemas;

    private Integer numSequences;

    private Integer numStoredPrograms;

    private Integer numSynonyms;

    private Integer numTables;

    private Integer numTablespaces;

    private Integer numTriggers;

    private Integer numUserDefinedDataTypes;

    private Integer numUsers;

    private Integer numViews;

    private String comments;

    private Integer securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdatedOn;

    private String lastUpdatedBy;

    private Integer projectIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public String getType() {
    return type;
    }

        public void setType(String type) {
    this.type = type;
    }

        public String getHost() {
    return host;
    }

        public void setHost(String host) {
    this.host = host;
    }

        public Integer getPort() {
    return port;
    }

        public void setPort(Integer port) {
    this.port = port;
    }

        public String getUsername() {
    return username;
    }

        public void setUsername(String username) {
    this.username = username;
    }

        public String getPassword() {
    return password;
    }

        public void setPassword(String password) {
    this.password = password;
    }

        public String getDburl() {
    return dburl;
    }

        public void setDburl(String dburl) {
    this.dburl = dburl;
    }

        public String getName() {
    return name;
    }

        public void setName(String name) {
    this.name = name;
    }

        public String getNativeSql() {
    return nativeSql;
    }

        public void setNativeSql(String nativeSql) {
    this.nativeSql = nativeSql;
    }

        public String getStatus() {
    return status;
    }

        public void setStatus(String status) {
    this.status = status;
    }

        public Integer getNumCatalogs() {
    return numCatalogs;
    }

        public void setNumCatalogs(Integer numCatalogs) {
    this.numCatalogs = numCatalogs;
    }

        public Integer getNumColumns() {
    return numColumns;
    }

        public void setNumColumns(Integer numColumns) {
    this.numColumns = numColumns;
    }

        public Integer getNumConstraints() {
    return numConstraints;
    }

        public void setNumConstraints(Integer numConstraints) {
    this.numConstraints = numConstraints;
    }

        public Integer getNumGroups() {
    return numGroups;
    }

        public void setNumGroups(Integer numGroups) {
    this.numGroups = numGroups;
    }

        public Integer getNumRoles() {
    return numRoles;
    }

        public void setNumRoles(Integer numRoles) {
    this.numRoles = numRoles;
    }

        public Integer getNumIndexes() {
    return numIndexes;
    }

        public void setNumIndexes(Integer numIndexes) {
    this.numIndexes = numIndexes;
    }

        public Integer getNumOtherObjects() {
    return numOtherObjects;
    }

        public void setNumOtherObjects(Integer numOtherObjects) {
    this.numOtherObjects = numOtherObjects;
    }

        public Integer getNumPackages() {
    return numPackages;
    }

        public void setNumPackages(Integer numPackages) {
    this.numPackages = numPackages;
    }

        public Integer getNumPrivileges() {
    return numPrivileges;
    }

        public void setNumPrivileges(Integer numPrivileges) {
    this.numPrivileges = numPrivileges;
    }

        public Integer getNumSchemas() {
    return numSchemas;
    }

        public void setNumSchemas(Integer numSchemas) {
    this.numSchemas = numSchemas;
    }

        public Integer getNumSequences() {
    return numSequences;
    }

        public void setNumSequences(Integer numSequences) {
    this.numSequences = numSequences;
    }

        public Integer getNumStoredPrograms() {
    return numStoredPrograms;
    }

        public void setNumStoredPrograms(Integer numStoredPrograms) {
    this.numStoredPrograms = numStoredPrograms;
    }

        public Integer getNumSynonyms() {
    return numSynonyms;
    }

        public void setNumSynonyms(Integer numSynonyms) {
    this.numSynonyms = numSynonyms;
    }

        public Integer getNumTables() {
    return numTables;
    }

        public void setNumTables(Integer numTables) {
    this.numTables = numTables;
    }

        public Integer getNumTablespaces() {
    return numTablespaces;
    }

        public void setNumTablespaces(Integer numTablespaces) {
    this.numTablespaces = numTablespaces;
    }

        public Integer getNumTriggers() {
    return numTriggers;
    }

        public void setNumTriggers(Integer numTriggers) {
    this.numTriggers = numTriggers;
    }

        public Integer getNumUserDefinedDataTypes() {
    return numUserDefinedDataTypes;
    }

        public void setNumUserDefinedDataTypes(Integer numUserDefinedDataTypes) {
    this.numUserDefinedDataTypes = numUserDefinedDataTypes;
    }

        public Integer getNumUsers() {
    return numUsers;
    }

        public void setNumUsers(Integer numUsers) {
    this.numUsers = numUsers;
    }

        public Integer getNumViews() {
    return numViews;
    }

        public void setNumViews(Integer numViews) {
    this.numViews = numViews;
    }

        public String getComments() {
    return comments;
    }

        public void setComments(String comments) {
    this.comments = comments;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getProjectIdFk() {
    return projectIdFk;
    }

        public void setProjectIdFk(Integer projectIdFk) {
    this.projectIdFk = projectIdFk;
    }

}